FLTK 1.3.8: Fl_Mac_App_Menu Class Reference

FLTK 1.3.8

Static Public Member Functions | Static Public Attributes | List of all members
Fl_Mac_App_Menu Class Reference
Mac OS X-specific symbols

Mac OS-specific class allowing to customize and localize the application menu. More...

## Static Public Member Functions
static void | custom_application_menu_items (const Fl_Menu_Item *m)
| Adds custom menu item(s) to the application menu of the system menu bar. More...

## Static Public Attributes
static const char * | about = "About %@"
| Localizable text for the "About xxx" application menu item.
static const char * | hide = "Hide %@"
| Localizable text for the "Hide xxx" application menu item.
static const char * | hide_others = "Hide Others"
| Localizable text for the "Hide Others" application menu item.
static const char * | print = "Print Front Window"
| Localizable text for the "Print Front Window" application menu item. More...
static const char * | quit = "Quit %@"
| Localizable text for the "Quit xxx" application menu item.
static const char * | services = "Services"
| Localizable text for the "Services" application menu item.
static const char * | show = "Show All"
| Localizable text for the "Show All" application menu item.

## Detailed Description

Mac OS-specific class allowing to customize and localize the application menu.

The public class attributes are used to build the application menu. They can be localized at run time to any UTF-8 text by placing instructions such as this before fl_open_display() gets called:

    Fl_Mac_App_Menu::print = "Imprimer la fenêtre";

See also
  The Apple OS X Interface for another way to localization.

## Member Function Documentation

## ◆ custom_application_menu_items()

void Fl_Mac_App_Menu::custom_application_menu_items | ( | const Fl_Menu_Item * | m | ) |
| static

Adds custom menu item(s) to the application menu of the system menu bar.

They are positioned after the "Print Front Window" item, or at its place if it was removed with `Fl_Mac_App_Menu::print = ""`.

Parameters

  m | zero-ending array of Fl_Menu_Item 's.

## Member Data Documentation

## ◆ print

const char * Fl_Mac_App_Menu::print = "Print Front Window"
| static

Localizable text for the "Print Front Window" application menu item.

This menu item won't be displayed if Fl_Mac_App_Menu::print is set to an empty string.

The documentation for this class was generated from the following files:

- mac.H
- Fl.cxx
- Fl_Sys_Menu_Bar.mm

- Copyright © 1998-2021 by Bill Spitzak and others.